[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#262870: device-mapper patch screwed up; prevents application of evms patches



On Wed, 2004-08-11 at 18:17 +0900, Horms wrote:
> On Wed, Aug 04, 2004 at 05:36:03PM +0100, Martin Michlmayr wrote:
> > * Andres Salomon <dilinger@voxel.net> [2004-08-02 02:25]:
> > > > the standard kernel, please don't butcher it just because you feel
> > > > like it.
> > > 
> > > There's nothing stopping us from removing Herbert's incomplete DM
> > > patch and applying the proper DM patch.  Whoever's handling i386
> > > 2.4, I'd highly recommend doing that.
> 
> That would be me.
> 
> > What do others think of this?  hch?
> > 

The only reason for the castrated DM patch that's currently in debian's
2.4 is because Herbert didn't want to maintain stuff that wasn't in 2.6.
However, the full DM patch is now in 2.6 (it made it into 2.6.8-rc1,
iirc).

> > I talked to Alasdair G Kergon a few weeks ago and he mentioned the
> > snapshot support is in 2.6 now and a 2.4 backport available outside.
> 

2.6 snapshotting is actually a forward port; the 2.4 DM patch has had it
for years.  


> Can someone point me towards what patch I should be looking at?
> 

apt-get install kernel-patch-device-mapper
The 2.4.26 patch is at /usr/src/kernel-patches/diffs/device-
mapper/linux-2.4.26-devmapper-ioctl.patch.gz
If it doesn't apply to 2.4.27, pester patrick@debian.org for a new
upstream patch.


-- 
Andres Salomon <dilinger@voxel.net>

Attachment: signature.asc
Description: This is a digitally signed message part


Reply to: